libvisio::VSDXTheme Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libvisio::VSDXTheme Class Reference

`#include <VSDXTheme.h>`

## Public Member Functions
| VSDXTheme ()
| ~VSDXTheme ()
bool | parse (librevenge::RVNGInputStream *input)
boost::optional< Colour > | getThemeColour (unsigned value, unsigned variationIndex=0) const

## Private Member Functions
| VSDXTheme (const VSDXTheme &)
VSDXTheme & | operator= (const VSDXTheme &)
boost::optional< Colour > | readSrgbClr (xmlTextReaderPtr reader)
boost::optional< Colour > | readSysClr (xmlTextReaderPtr reader)
void | readClrScheme (xmlTextReaderPtr reader)
void | readThemeColour (xmlTextReaderPtr reader, int idToken, Colour &clr)
void | readVariationClrSchemeLst (xmlTextReaderPtr reader)
void | readVariationClrScheme (xmlTextReaderPtr reader, VSDXVariationClrScheme &varClrSch)
void | readFontScheme (xmlTextReaderPtr reader)
void | readFont (xmlTextReaderPtr reader, int idToken, VSDXFont &font)
void | readTypeFace (xmlTextReaderPtr reader, librevenge::RVNGString &typeFace)
void | readTypeFace (xmlTextReaderPtr reader, int &script, librevenge::RVNGString &typeFace)
int | getElementToken (xmlTextReaderPtr reader)

## Private Attributes
VSDXClrScheme | m_clrScheme
VSDXFontScheme | m_fontScheme

## Constructor & Destructor Documentation

## ◆ VSDXTheme() [1/2]

libvisio::VSDXTheme::VSDXTheme | ( |  | ) |

## ◆ ~VSDXTheme()

libvisio::VSDXTheme::~VSDXTheme | ( |  | ) |

## ◆ VSDXTheme() [2/2]

libvisio::VSDXTheme::VSDXTheme | ( | const VSDXTheme & |  | ) |
| private

## Member Function Documentation

## ◆ getElementToken()

int libvisio::VSDXTheme::getElementToken | ( | xmlTextReaderPtr | reader | ) |
| private

## ◆ getThemeColour()

boost::optional< libvisio::Colour > libvisio::VSDXTheme::getThemeColour | ( | unsigned | value,
|  | unsigned | variationIndex = `0`
| ) |  | const

## ◆ operator=()

VSDXTheme& libvisio::VSDXTheme::operator= | ( | const VSDXTheme & |  | ) |
| private

## ◆ parse()

bool libvisio::VSDXTheme::parse | ( | librevenge::RVNGInputStream * | input | ) |

## ◆ readClrScheme()

void libvisio::VSDXTheme::readClrScheme | ( | xmlTextReaderPtr | reader | ) |
| private

## ◆ readFont()

void libvisio::VSDXTheme::readFont | ( | xmlTextReaderPtr | reader,
|  | int | idToken,
|  | VSDXFont & | font
| ) |  |
| private

## ◆ readFontScheme()

void libvisio::VSDXTheme::readFontScheme | ( | xmlTextReaderPtr | reader | ) |
| private

## ◆ readSrgbClr()

boost::optional< libvisio::Colour > libvisio::VSDXTheme::readSrgbClr | ( | xmlTextReaderPtr | reader | ) |
| private

## ◆ readSysClr()

boost::optional< libvisio::Colour > libvisio::VSDXTheme::readSysClr | ( | xmlTextReaderPtr | reader | ) |
| private

## ◆ readThemeColour()

void libvisio::VSDXTheme::readThemeColour | ( | xmlTextReaderPtr | reader,
|  | int | idToken,
|  | Colour & | clr
| ) |  |
| private

## ◆ readTypeFace() [1/2]

void libvisio::VSDXTheme::readTypeFace | ( | xmlTextReaderPtr | reader,
|  | librevenge::RVNGString & | typeFace
| ) |  |
| private

## ◆ readTypeFace() [2/2]

void libvisio::VSDXTheme::readTypeFace | ( | xmlTextReaderPtr | reader,
|  | int & | script,
|  | librevenge::RVNGString & | typeFace
| ) |  |
| private

## ◆ readVariationClrScheme()

void libvisio::VSDXTheme::readVariationClrScheme | ( | xmlTextReaderPtr | reader,
|  | VSDXVariationClrScheme & | varClrSch
| ) |  |
| private

## ◆ readVariationClrSchemeLst()

void libvisio::VSDXTheme::readVariationClrSchemeLst | ( | xmlTextReaderPtr | reader | ) |
| private

## Member Data Documentation

## ◆ m_clrScheme

VSDXClrScheme libvisio::VSDXTheme::m_clrScheme
| private

## ◆ m_fontScheme

VSDXFontScheme libvisio::VSDXTheme::m_fontScheme
| private

The documentation for this class was generated from the following files:

- VSDXTheme.h
- VSDXTheme.cpp